import java.io.*;
import java.nio.file.*;
import java.nio.file.attribute.*;

public class ZipVisitor { 
  public void readZip(String zipFile)throws Exception{
    FileSystem fs=FileSystems.newFileSystem(Paths.get(zipFile),null);
    
    //遍历目录树
    Files.walkFileTree(fs.getPath("/"),new SimpleFileVisitor<Path>(){
       //在visitFile()方法中指定遍历每个文件时的具体操作
       public FileVisitResult visitFile(Path file, BasicFileAttributes attrs)
       	                                                  throws IOException{
         System.out.println(file);
         return FileVisitResult.CONTINUE;
       }
    });
  } 

  public static void main(String[] args)throws Exception {
    ZipVisitor visitor=new ZipVisitor();
    visitor.readZip("C:\\jdk8\\javafx-src.zip");
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
